packageStatus {utils} | R Documentation

## Package Management Tools

### Description

Summarize information about installed packages and packages available at various repositories, and automatically upgrade outdated packages. These tools will replace `update.packages` and friends in the future and are currently work in progress.

### Usage

    packageStatus(lib.loc = NULL, repositories = getOption("repositories")())

    ## S3 method for class 'packageStatus':
    summary(object, ...)

    ## S3 method for class 'packageStatus':
    update(object, lib.loc = levels(object$inst$LibPath),
           repositories = levels(object$avail$Repository), ...)

    ## S3 method for class 'packageStatus':
    upgrade(object, ask = TRUE, ...)

### Arguments

`lib.loc` | a character vector describing the location of R library trees to search through, or `NULL`. The default value of `NULL` corresponds to all libraries currently known.
`repositories` | a character vector of URLs describing the location of R package repositories on the Internet or on the local machine.
`object` | return value of `packageStatus`.
`ask` | if `TRUE`, the user is prompted which packages should be upgraded and which not.
`...` | currently not used.

### Examples

    ## Not run:
    x <- packageStatus()
    print(x)
    summary(x)
    upgrade(x)
    x <- update(x)
    print(x)
    ## End(Not run)

[Package Contents]